A problem accured during starting PL

Hi, guys!

After a fresh new installation, the following errors occurred:

(ceco) C:\Users\studiogra>perceptilabs
PerceptiLabs: Your environment does not have atari_py installed, so some functionality may not be available
PerceptiLabs: To install it, please follow the directions at https://github.com/Kojoley/atari-py and then install gym through ‘pip install gym[atari]’
INFO: Could not find files for the given pattern(s).
PerceptiLabs: Your environment does not have git installed, so interactions with GitHub will not be available
Traceback (most recent call last):
File “c:\users\studiogra\appdata\local\programs\python\python37\lib\site-packages\pkg_resources_init_.py”, line 344, in get_provider
module = sys.modules[moduleOrReq]
KeyError: ‘perceptilabs’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “c:\users\studiogra\appdata\local\programs\python\python37\lib\site-packages\tensorflow\python\pywrap_tensorflow.py”, line 64, in
from tensorflow.python._pywrap_tensorflow_internal import *
ImportError: DLL load failed: A dynamic link library (DLL) initialization routine failed.

Failed to load the native TensorFlow runtime.

See https://www.tensorflow.org/install/errors

for some common reasons and solutions. Include the entire stack trace
above this error message when asking for help.

(ceco) C:\Users\studiogra>

The computer is running Python 3.7 on Win 10. I created one environment, then I created another and the errors appear again.
Any guesses?

Thank you in advance!

Hi @Venci :wave:

Looks like it’s tensorflow which is failing.
We recently upgraded to tensorflow 2.4 which might be what is causing you the trouble.
What happens if you just install the latest tensorflow version in a new environment and then try to import that?

Hi @robertl
I am having trouble installing perceptilabs (in Linux), even after installing the tensorflow, as suggested per your previous comment. I get the following error-

Traceback (most recent call last):
File “/home/blab/anaconda3/envs/myenv7/lib/python3.7/site-packages/pkg_resources/init.py”, line 344, in get_provider
module = sys.modules[moduleOrReq]
KeyError: ‘perceptilabs’

Please advise.
Thank you!

Hi @purvapatel,
Welcome to the forum!
Sorry to hear that you are running into issues.

Some quick questions to start debuging it:

  • Did you install the tool in a fresh environment, and did everything look fine during the installation?
  • Are there any more info for the error you are getting? Either above or below it

All the best,
Robert

I entered the environment in which i am trying to install perceptilabs and then downloaded the tensorflow. My errors look like following-

(base) blab@blab-Z390-M-GAMING:~$ conda activate myenv7
(myenv7) blab@blab-Z390-M-GAMING:~$ perceptilabs
Traceback (most recent call last):
File “/home/blab/anaconda3/envs/myenv7/lib/python3.7/site-packages/pkg_resources/init.py”, line 344, in get_provider
module = sys.modules[moduleOrReq]
KeyError: ‘perceptilabs’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/blab/anaconda3/envs/myenv7/bin/perceptilabs”, line 5, in
from perceptilabs_runner.perceptilabs_runner import main
File “/home/blab/anaconda3/envs/myenv7/lib/python3.7/site-packages/perceptilabs_runner/perceptilabs_runner.py”, line 64, in
TUTORIAL_DATA_PATH = pkg_resources.resource_filename(‘perceptilabs’, ‘tutorial_data’)
File “/home/blab/anaconda3/envs/myenv7/lib/python3.7/site-packages/pkg_resources/init.py”, line 1130, in resource_filename
return get_provider(package_or_requirement).get_resource_filename(
File “/home/blab/anaconda3/envs/myenv7/lib/python3.7/site-packages/pkg_resources/init.py”, line 346, in get_provider
import(moduleOrReq)
File “/home/blab/anaconda3/envs/myenv7/lib/python3.7/site-packages/perceptilabs/init.py”, line 1, in
from perceptilabs.mainServer import main
ImportError: libpython3.7m.so.1.0: cannot open shared object file: No such file or directory

Then, after installing tensorflow in the same environment I get following error-

(myenv7) blab@blab-Z390-M-GAMING:~$ perceptilabs
Traceback (most recent call last):
File “/home/blab/anaconda3/envs/myenv7/lib/python3.7/site-packages/pkg_resources/init.py”, line 344, in get_provider
module = sys.modules[moduleOrReq]
KeyError: ‘perceptilabs’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/blab/anaconda3/envs/myenv7/bin/perceptilabs”, line 5, in
from perceptilabs_runner.perceptilabs_runner import main
File “/home/blab/anaconda3/envs/myenv7/lib/python3.7/site-packages/perceptilabs_runner/perceptilabs_runner.py”, line 64, in
TUTORIAL_DATA_PATH = pkg_resources.resource_filename(‘perceptilabs’, ‘tutorial_data’)
File “/home/blab/anaconda3/envs/myenv7/lib/python3.7/site-packages/pkg_resources/init.py”, line 1130, in resource_filename
return get_provider(package_or_requirement).get_resource_filename(
File “/home/blab/anaconda3/envs/myenv7/lib/python3.7/site-packages/pkg_resources/init.py”, line 346, in get_provider
import(moduleOrReq)
File “/home/blab/anaconda3/envs/myenv7/lib/python3.7/site-packages/perceptilabs/init.py”, line 1, in
from perceptilabs.mainServer import main
ImportError: libpython3.7m.so.1.0: cannot open shared object file: No such file or directory

Thank you for the quick reply!

Hi @purvapatel

Welcome! I expect Robert will get you sorted out quickly - then once you’re up and running maybe you’d like to share a little about what you plan to do with PL?

People are working on quite a variety of things round here - @birdstream has been doing super-resolution on images, @esbenkran is tracking brain activity, @crgone1 has heart data to process, and I do various things but am mostly waiting to do some cosmology related ML.

What sort of things are you interested in?

Look forward to hearing from you :slight_smile:

Thank you for the logs @purvapatel!
I need to ask our devs for some more help on this one, but will come back as soon as I have an answer :slight_smile:

One more quick question, what OS are you running on? Looks like a Mac or Linux?

I think this is the same problem i ran in to!

Inside your “myenv7” conda environment, try this:
conda env config vars set LD_LIBRARY_PATH = /home/blab/anaconda3/envs/myenv7/lib

Then deactivate and activate the conda env

2 Likes

I am trying to get Perceptilabs working on Linux.
Thank you!

@birdstream Thank you very much for sharing this! I tried doing it but am getting following error-
(myenv7) blab@blab-Z390-M-GAMING:~$ perceptilabs
Traceback (most recent call last):
File “/home/blab/anaconda3/envs/myenv7/lib/python3.7/site-packages/pkg_resources/init.py”, line 344, in get_provider
module = sys.modules[moduleOrReq]
KeyError: ‘perceptilabs’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/blab/anaconda3/envs/myenv7/bin/perceptilabs”, line 5, in
from perceptilabs_runner.perceptilabs_runner import main
File “/home/blab/anaconda3/envs/myenv7/lib/python3.7/site-packages/perceptilabs_runner/perceptilabs_runner.py”, line 64, in
TUTORIAL_DATA_PATH = pkg_resources.resource_filename(‘perceptilabs’, ‘tutorial_data’)
File “/home/blab/anaconda3/envs/myenv7/lib/python3.7/site-packages/pkg_resources/init.py”, line 1130, in resource_filename
return get_provider(package_or_requirement).get_resource_filename(
File “/home/blab/anaconda3/envs/myenv7/lib/python3.7/site-packages/pkg_resources/init.py”, line 346, in get_provider
import(moduleOrReq)
File “/home/blab/anaconda3/envs/myenv7/lib/python3.7/site-packages/perceptilabs/init.py”, line 1, in
from perceptilabs.mainServer import main
ImportError: libpython3.7m.so.1.0: cannot open shared object file: No such file or directory

I am not sure where I am going wrong.

Thank you!

No problem :slight_smile: I use Perceptilabs on Ubuntu 18.04…

Hmm… Did you make sure there were no errors during install? :thinking: and also, when you created the conda env, did you include “python=3.7”

If the env is correct, try to locate were libpython3.7m.so is, it should be in your “/home/blab/anaconda3/envs/myenv7/lib” path